Description

Related issues:

Copied from Website Monitoring - Bug #2077: Input fails to start because REST... Closed 09/29/2017

Associated revisions

Revision 619 - 10/02/2017 04:15 AM - lukemurphey

Making input resilient to transient Splunkd exceptions

Reference #2079

Revision 621 - 10/05/2017 04:38 PM - lukemurphey

Reordered the decorators so that they work together

Reference #2079

History

#1 - 10/02/2017 03:44 AM - Luke Murphey

- Copied from Bug #2077: Input fails to start because REST endpoint in Splunkd failed to respond added

#2 - 10/02/2017 03:44 AM - Luke Murphey

- Priority changed from Normal to Low

- % Done changed from 100 to 0

#3 - 10/04/2017 06:32 PM - Luke Murphey

Deployed today to begin long-term testing.

#4 - 10/04/2017 06:32 PM - Luke Murphey

- Status changed from New to Feedback

- % Done changed from 0 to 100

#5 - 10/05/2017 04:08 PM - Luke Murphey

2017-10-04 13:22:31,803 ERROR Execution failed

Traceback (most recent call last):

  File "C:\Program Files\Splunk\etc\apps\website_input\bin\website_input_app\modular_input.py", line 1757, in 

execute

    self.do_run(in_stream, log_exception_and_continue=True)

  File "C:\Program Files\Splunk\etc\apps\website_input\bin\website_input_app\modular_input.py", line 1638, in 

do_run

    self.run(stanza, cleaned_params, input_config)
  File "C:\Program Files\Splunk\etc\apps\website_input\bin\web_input.py", line 277, in run

    if self.is_on_cloud(input_config.session_key) and not url.scheme == "https":

  File "C:\Program Files\Splunk\etc\apps\website_input\bin\website_input_app\modular_input.py", line 698, in w

rapper

    return function(*args, **kwargs)

TypeError: 'classmethod' object is not callable

#6 - 10/05/2017 04:35 PM - Luke Murphey

https://stackoverflow.com/questions/1987919/why-can-decorator-not-decorate-a-staticmethod-or-a-classmethod

Looks like classmethod must be first

#7 - 10/05/2017 05:51 PM - Luke Murphey

This appears to be working now.

#8 - 10/05/2017 05:58 PM - Luke Murphey

- Status changed from Feedback to Closed
